%define exarch           ia64 i686 i586 i486 i386

Summary: Register CPE Interrupt for BladeSymphony IPF Server Module
Name: register_cpei
Version: 1.3.0
Release: %{rel}
Serial:  %{sel}
Vendor: Hitachi, Ltd.
Packager: Hitachi, Ltd.
License: GPL
Group: System Environment/Kernel
ExclusiveOS: Linux
ExclusiveArch: %{exarch}
URL: NONE
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define rcidir  /opt/hitachi/register_cpei
%define srcbase /usr/src

%description
There is a problem that Hitachi's BladeSymphony IPF server module
cannot receive CPE Interrupts for RHEL4 kernels. This module makes
CPEI enable by reconfiguring IOSAPIC.

%prep
%setup -q

%build
BASEVR=`echo %{k_release} | awk -F- '{ print $1; }'`

BUILDDIR=/usr/src/kernels/%{k_release}-ia64 \
	RCIRELEASE=%{k_release} \
	RPM_RELEASE=%{release} \
	RPM_SERIAL=%{serial} \
	./configure --prefix=%{rcidir}
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=${RPM_BUILD_ROOT}/%{rcidir} datadir=${RPM_BUILD_ROOT}/etc/rc.d/init.d install

mkdir -p ${RPM_BUILD_ROOT}/%{rcidir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(700,root,root)
%attr(600, root, root) %{rcidir}/register_cpei-%{k_release}.ko
%attr(700, root, root) %{_initrddir}/register_cpei

%dir %{rcidir}

%post
/sbin/chkconfig --add register_cpei

%preun
if [ 0 = $1 ]; then
	/sbin/chkconfig --del register_cpei
fi

%postun
if [ 0 = $1 ]; then
	if [ -d %{ktdir} ] ; then
		/bin/rm -rf %{ktdir}
	fi
fi
